import type { ResourceCacheHttpClient, ResourceProbeResult } from './types';
export declare class FetchResourceCacheHttpClient implements ResourceCacheHttpClient {
    probe(url: string): Promise<ResourceProbeResult>;
    download(url: string): Promise<Blob>;
}
